Broadcast Translations API
- List broadcast translations
- Get a single broadcast translation
- Create a broadcast translation
- Update a broadcast translation
- Remove a broadcast translation
- Fields
List broadcast translations
Section titled “List broadcast translations”List all broadcast translations for a Broadcast:
GET /broadcasts/:broadcast_id/translationsResponse
Section titled “Response”Status: 200 OK[ { "id": 23, "locale": "de", "created_at": "2016-05-23T09:35:52-05:00", "updated_at": "2016-05-23T09:35:52-05:00" }, { "id": 18, "locale": "en-US", "created_at": "2016-05-22T03:20:36-05:00", "updated_at": "2016-05-26T06:13:56-05:00" }, "..."]The response contains these fields by default. Filtering and pagination are available to reduce/limit the collection of broadcast translations.
Collection Fields
Section titled “Collection Fields”By default the following fields will appear in collections of broadcast translations:
id
locale
created_at
updated_at
Obtain a different set of fields using the ?fields= parameter .
Filtering
Section titled “Filtering”Filtering is available for the following fields :
id
locale
created_at
updated_at
Sorting
Section titled “Sorting”By default a collection of broadcast translations is sorted
descending
by
created_at
.
The following fields are accepted by the ?sort= parameter :
id
locale
message
created_at
updated_at
Get a single broadcast translation
Section titled “Get a single broadcast translation”GET /broadcasts/:broadcast_id/translations/:idResponse
Section titled “Response”Status: 200 OK{ "id": 18, "locale": "en-US", "message": "SAP will be down for maintenance this Sunday between 5am and 7am.", "created_at": "2016-05-22T03:20:36-05:00", "updated_at": "2016-05-26T06:13:56-05:00"}The response contains these fields .
Create a broadcast translation
Section titled “Create a broadcast translation”POST /broadcasts/:broadcast_id/translationsWhen creating a new broadcast translation these fields are available.
Response
Section titled “Response”Status: 200 OK{ "message": "...", "...": "..."}The response contains all fields of the created broadcast translation and is similar to the response in Get a single broadcast translation
Update a broadcast translation
Section titled “Update a broadcast translation”PATCH /broadcasts/:broadcast_id/translations/:idWhen updating a broadcast translation these fields are available.
Response
Section titled “Response”Status: 200 OK{ "message": "...", "...": "..."}The response contains all fields of the updated broadcast translation and is similar to the response in Get a single broadcast translation
Remove a broadcast translation
Section titled “Remove a broadcast translation”DELETE /broadcasts/:broadcast_id/translations/:idResponse
Section titled “Response”Status: 204 No ContentFields
Section titled “Fields”attachments
Readonly aggregated Attachments
id
Readonly integer — The unique ID of the broadcast translation.
locale
Optional string (max 5)
message
Required text (max 64KB) — The Message field is used to enter the information that is to be broadcasted.
message_attachments
Writeonly attachments The attachments used in the Message field.
created_at
Readonly datetime — The date and time at which the broadcast translation was created.
updated_at
Readonly
datetime
— The date and time of the last update of the broadcast translation. If the broadcast translation has no updates it contains the
created_at
value.